
import java.util.ArrayList;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.2A704949-84D4-FEEE-663F-6493EABFC392]
// </editor-fold> 
public class Tablero {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.02A4926C-D959-8C33-A11E-5C6016F4EA03]
    // </editor-fold> 
    private ArrayList<Continente> ListaContinentes = null;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D1C84C83-9F46-7BC0-A0BD-F71E6B93A302]
    // </editor-fold> 
    public Tablero () {
   
       System.out.println("Se ha creado un tablero");
    
       /* PROCEDEMOS A CREAR LOS CONTINENTES */
    
       ListaContinentes = new ArrayList(6);
    
       Continente c1 = new Continente("Europa");
       Continente c2 = new Continente("Africa");
       Continente c3 = new Continente("Asia");
       Continente c4 = new Continente("America del Sur");
       Continente c5 = new Continente("America del Norte");
       Continente c6 = new Continente("Oceania");
    
       ListaContinentes.add(0,c1);
       ListaContinentes.add(1,c2);
       ListaContinentes.add(2,c3);
       ListaContinentes.add(3,c4);
       ListaContinentes.add(4,c5);
       ListaContinentes.add(5,c6);
        
       /* PROCEDEMOS A CREAR LOS TERRITORIOS PARA CADA CONTINENTE */
    
       /*
        * TERRITORIOS DE EUROPA *
        * "Gran Bretaña", "Iceland", "Europa del Norte", "Escandinavia",
        * "Europa del Sur", "Ucrania", "Europa Occidental"
        */
       Territorio c1t1 = new Territorio("Gran Bretaña");
       Territorio c1t2 = new Territorio("Iceland");
       Territorio c1t3 = new Territorio("Europa del Norte");
       Territorio c1t4 = new Territorio("Escandinavia");
       Territorio c1t5 = new Territorio("Europa del Sur");
       Territorio c1t6 = new Territorio("Ucrania");
       Territorio c1t7 = new Territorio("Europa Occidental");
       
       
       /*
        * TERRITORIOS DE AFRICA *
        * "Congo","Africa Oriental","Egipto","Madagascar","Africa del Norte","Sudafrica"
        */
       Territorio c2t1 = new Territorio("Congo");
       Territorio c2t2 = new Territorio("Africa Oriental");
       Territorio c2t3 = new Territorio("Egipto");
       Territorio c2t4 = new Territorio("MadagasCar");
       Territorio c2t5 = new Territorio("Africa del Norte");
       Territorio c2t6 = new Territorio("Sudafrica");
       
       /*
        * TERRITORIOS DE ASIA
        * "Afghanistan","China","India","Irkutsk","Japon","Kamchatka",
        * "Oriente Medio","Mongolia","Siam","Siberia","Ural","Yakutsk" 
        */
       Territorio c3t1 = new Territorio("Afghanistan");
       Territorio c3t2 = new Territorio("China");
       Territorio c3t3 = new Territorio("India");
       Territorio c3t4 = new Territorio("Irkutsk");
       Territorio c3t5 = new Territorio("Japon");
       Territorio c3t6 = new Territorio("Kamchatka");
       Territorio c3t7 = new Territorio("Oriente Medio");
       Territorio c3t8 = new Territorio("Mongolia");
       Territorio c3t9 = new Territorio("Siam");
       Territorio c3t10 = new Territorio("Siberia");
       Territorio c3t11 = new Territorio("Ural");
       Territorio c3t12 = new Territorio("Yakutsk");
       
       /*
        * TERRITORIOS DE AMERICA DEL SUR
        *"Argentina","Brasil","Peru", "Venezuela"
        */
       Territorio c4t1 = new Territorio("Argentina");
       Territorio c4t2 = new Territorio("Brasil");
       Territorio c4t3 = new Territorio("Peru");
       Territorio c4t4 = new Territorio("Venezuela");
       
       /*
        * TERRITORIOS DE AMERICA DEL NORTE
        *"Alaska","Alberta","America Central","Estados Unidos del Este",
        *"Groenlandia","Territorios del Noroeste","Ontario","Quebec",
        * "Estados Unidos del Oeste"
        */
       Territorio c5t1 = new Territorio("Alaska");
       Territorio c5t2 = new Territorio("Alberta");
       Territorio c5t3 = new Territorio("America Central");
       Territorio c5t4 = new Territorio("Estados Unidos del Este");
       Territorio c5t5 = new Territorio("Groenlandia");
       Territorio c5t6 = new Territorio("Territorios del Noroeste");
       Territorio c5t7 = new Territorio("Ontario");
       Territorio c5t8 = new Territorio("Quebec");
       Territorio c5t9 = new Territorio("Estados Unidos del Oeste");
       
       /*
        * TERRITORIOS DE OCEANIA
        * "Australia Oriental,"Indonesia","Nueva Guinea","Australia Occidental"
        */
       Territorio c6t1 = new Territorio("Australia Oriental");
       Territorio c6t2 = new Territorio("Indonesia");
       Territorio c6t3 = new Territorio("Nueva Guinea");
       Territorio c6t4 = new Territorio("Australia Occidental");
       
       /* PROCEDEMOS A AÑADIR TERRITORIOS CONTIGUOS PARA CADA TERRITORIO */
       /* Europa */
       //Gran Bretaña (1)
       ArrayList<Territorio> Adyacentesc1t1 = new ArrayList(4);
       Adyacentesc1t1.add(0,c1t2); // Iceland (2)
       Adyacentesc1t1.add(1,c1t3); // Europa del Norte (3)
       Adyacentesc1t1.add(2,c1t4); // Escandinavia (4)
       Adyacentesc1t1.add(3,c1t7); // Europa Occidental (7)
       c1t1.setAdyacentes(Adyacentesc1t1);
       //Iceland (2)
       ArrayList<Territorio> Adyacentesc1t2 = new ArrayList(3);
       Adyacentesc1t2.add(0,c1t1); // Gran Bretaña (1)
       Adyacentesc1t2.add(1,c1t4); // Escandinavia (4)
       Adyacentesc1t2.add(2,c5t5); // Groenlandia (5)
       c1t2.setAdyacentes(Adyacentesc1t2);
       //Europa del Norte (3)
       ArrayList<Territorio> Adyacentesc1t3 = new ArrayList(5);
       Adyacentesc1t3.add(0,c1t1); // Gran Bretaña (1)
       Adyacentesc1t3.add(1,c1t4); // Escandinavia (4)
       Adyacentesc1t3.add(2,c1t5); // Europa del Sur (5)
       Adyacentesc1t3.add(3,c1t6); // Ucrania (6)
       Adyacentesc1t3.add(4,c1t7); // Europa Occidental (7)
       c1t3.setAdyacentes(Adyacentesc1t3);
       //Escandinavia (4)
       ArrayList<Territorio> Adyacentesc1t4 = new ArrayList(4);
       Adyacentesc1t4.add(0,c1t1); // Gran Bretaña (1)
       Adyacentesc1t4.add(1,c1t2); // Iceland (2)
       Adyacentesc1t4.add(2,c1t3); // Europa del Norte (3)
       Adyacentesc1t4.add(3,c1t6); // Ucrania (6)
       c1t4.setAdyacentes(Adyacentesc1t4);
       //Europa del Sur (5)
       ArrayList<Territorio> Adyacentesc1t5 = new ArrayList(6);
       Adyacentesc1t5.add(0, c1t3); // Europa del Norte (3)
       Adyacentesc1t5.add(1, c1t6); // Ucrania (6)
       Adyacentesc1t5.add(2, c1t7); // Europa Occidental (7)
       Adyacentesc1t5.add(3, c2t3); // Egipto (3)
       Adyacentesc1t5.add(4, c2t5); // Africa del Norte (5)
       Adyacentesc1t5.add(5, c3t7); // Oriente Medio (7)
       c1t5.setAdyacentes(Adyacentesc1t5);
       // Ucrania (6)
       ArrayList<Territorio> Adyacentesc1t6 = new ArrayList(6);
       Adyacentesc1t6.add(0,c1t3); // Europa del Norte (3)
       Adyacentesc1t6.add(1,c1t4); // Escandinavia (4)
       Adyacentesc1t6.add(2,c1t5); // Europa del Sur (5)
       Adyacentesc1t6.add(3,c3t1); // Afghanistan (1)
       Adyacentesc1t6.add(4,c3t7); // Oriente Medio (7)
       Adyacentesc1t6.add(5,c3t11);// Ural (11)
       c1t6.setAdyacentes(Adyacentesc1t6);
       /*FIN EUROPA */
       /*TODO AFRICA */
       // Congo (1)
       ArrayList<Territorio> Adyacentesc2t1 = new ArrayList(3);
       Adyacentesc2t1.add(0, c2t5); // Africa del Norte (5)
       Adyacentesc2t1.add(1, c2t3); // Egipto (5)
       Adyacentesc2t1.add(2, c2t6); // Sudafrica (6)
       c2t1.setAdyacentes(Adyacentesc2t1);
       //Africa Oriental (2)
       ArrayList<Territorio> Adyacentesc2t2 = new ArrayList(4);
       Adyacentesc2t2.add(0, c2t5); // Africa del Norte (5)
       Adyacentesc2t2.add(1, c2t3); // Egipto (5)
       Adyacentesc2t2.add(2, c2t1); // Congo (1)
       Adyacentesc2t2.add(3, c2t4); // Madagascar (4)
       c2t2.setAdyacentes(Adyacentesc2t2);
       //Egipto(3)
       ArrayList<Territorio> Adyacentesc2t3 = new ArrayList(4);
       Adyacentesc2t3.add(0, c2t5); // Africa del Norte (5)
       Adyacentesc2t3.add(1, c2t2); // Africa Oriental (2)
       Adyacentesc2t3.add(2, c3t7); // Oriente Medio (7)
       Adyacentesc2t3.add(3, c1t5); // Europa del sur (5)
       c2t3.setAdyacentes(Adyacentesc2t3);
       //Madagascar (4)
       ArrayList<Territorio> Adyacentesc2t4 = new ArrayList(2);
       Adyacentesc2t4.add(0, c2t2); // Africa Oriental (2)
       Adyacentesc2t4.add(1, c3t6); // Sudafrica (6)
       c2t4.setAdyacentes(Adyacentesc2t4);
       //Africa del Norte (5)
       ArrayList<Territorio> Adyacentesc2t5 = new ArrayList(4);
       Adyacentesc2t5.add(0, c2t2); // Africa Oriental (2)
       Adyacentesc2t5.add(1, c2t1); // Congo (1)
       Adyacentesc2t5.add(2, c3t3); // Egipto (3)
       Adyacentesc2t5.add(3, c1t7); // Europa Occidental (7)
       c2t5.setAdyacentes(Adyacentesc2t5);
       //Sudafrica
       ArrayList<Territorio> Adyacentesc2t6 = new ArrayList(2);
       Adyacentesc2t6.add(0, c2t4); // Madagascar (4)
       Adyacentesc2t6.add(1, c2t1); // Congo (1)
       c2t6.setAdyacentes(Adyacentesc2t6);
       /* FIN AFRICA */
       /*TODO ASIA */
       //Afghanistan (1)
       ArrayList<Territorio> Adyacentesc3t1 = new ArrayList(5);
       Adyacentesc3t1.add(0, c3t2); // China (2)
       Adyacentesc3t1.add(1, c3t3); // India (3)
       Adyacentesc3t1.add(2, c3t7); // Oriente Medio (7)
       Adyacentesc3t1.add(3, c3t11); // Ural (11)
       Adyacentesc3t1.add(4, c1t6); // Ucrania (6)
       c3t1.setAdyacentes(Adyacentesc3t1);
       //China (2)
       ArrayList<Territorio> Adyacentesc3t2 = new ArrayList(4);
       Adyacentesc3t2.add(0, c3t1);
       Adyacentesc3t2.add(1, c3t3);
       Adyacentesc3t2.add(2, c3t8);
       Adyacentesc3t2.add(3, c3t9); 
       c3t2.setAdyacentes(Adyacentesc3t2);
       //India 1 2 7 9 
       ArrayList<Territorio> Adyacentesc3t3 = new ArrayList(4);
       Adyacentesc3t3.add(0, c3t1);
       Adyacentesc3t3.add(1, c3t2);
       Adyacentesc3t3.add(2, c3t7);
       Adyacentesc3t3.add(3, c3t9); 
       c3t3.setAdyacentes(Adyacentesc3t3);
       //Irkutsk 8 10 12 6
       ArrayList<Territorio> Adyacentesc3t4 = new ArrayList(4);
       Adyacentesc3t4.add(0, c3t6);
       Adyacentesc3t4.add(1, c3t8);
       Adyacentesc3t4.add(2, c3t10);
       Adyacentesc3t4.add(3, c3t12); 
       c3t4.setAdyacentes(Adyacentesc3t4);
       //Japon 6 8
       ArrayList<Territorio> Adyacentesc3t5 = new ArrayList(2);
       Adyacentesc3t5.add(0, c3t6);
       Adyacentesc3t5.add(1, c3t8); 
       c3t5.setAdyacentes(Adyacentesc3t5);
       // Kamchatka 4 5 8 12 1
       ArrayList<Territorio> Adyacentesc3t6 = new ArrayList(5);
       Adyacentesc3t6.add(0, c3t4);
       Adyacentesc3t6.add(1, c3t5);
       Adyacentesc3t6.add(2, c3t8);
       Adyacentesc3t6.add(3, c3t12); 
       Adyacentesc3t6.add(4, c5t1); 
       c3t6.setAdyacentes(Adyacentesc3t6);
       //Oriente Medio 6 1 3 3
       ArrayList<Territorio> Adyacentesc3t7 = new ArrayList(4);
       Adyacentesc3t7.add(0, c3t1);
       Adyacentesc3t7.add(1, c3t3);
       Adyacentesc3t7.add(2, c3t6);
       Adyacentesc3t7.add(3, c2t3); 
       c3t7.setAdyacentes(Adyacentesc3t7);
       //Mongolia 2 4 5 10 
       ArrayList<Territorio> Adyacentesc3t8 = new ArrayList(4);
       Adyacentesc3t8.add(0, c3t2);
       Adyacentesc3t8.add(1, c3t4);
       Adyacentesc3t8.add(2, c3t5);
       Adyacentesc3t8.add(3, c3t10); 
       c3t8.setAdyacentes(Adyacentesc3t8);
       //Siam 2 3 2
       ArrayList<Territorio> Adyacentesc3t9 = new ArrayList(3);
       Adyacentesc3t9.add(0, c3t2);
       Adyacentesc3t9.add(1, c3t3);
       Adyacentesc3t9.add(2, c6t2);
       c3t9.setAdyacentes(Adyacentesc3t9);      
       //Siberia 2 4 8 11 12
       ArrayList<Territorio> Adyacentesc3t10 = new ArrayList(5);
       Adyacentesc3t10.add(0, c3t2);
       Adyacentesc3t10.add(1, c3t4);
       Adyacentesc3t10.add(2, c3t8);
       Adyacentesc3t10.add(3, c3t12); 
       Adyacentesc3t10.add(4, c3t11); 
       c3t10.setAdyacentes(Adyacentesc3t10);
       //Ural 1 2 10 6
       ArrayList<Territorio> Adyacentesc3t11 = new ArrayList(4);
       Adyacentesc3t11.add(0, c3t1);
       Adyacentesc3t11.add(1, c3t2);
       Adyacentesc3t11.add(2, c3t10);
       Adyacentesc3t11.add(3, c1t6); 
       c3t11.setAdyacentes(Adyacentesc3t11);
       //Yakutsk 4 6 10
       ArrayList<Territorio> Adyacentesc3t12 = new ArrayList(3);
       Adyacentesc3t12.add(0, c3t4);
       Adyacentesc3t12.add(1, c3t6);
       Adyacentesc3t12.add(2, c3t10);
       c3t12.setAdyacentes(Adyacentesc3t12);   
       /*FIN ASIA */
       /*TODO AMERICA DEL SUR */
       //Argentina 3 2
       ArrayList<Territorio> Adyacentesc4t1 = new ArrayList(2);
       Adyacentesc4t1.add(0, c4t2);
       Adyacentesc4t1.add(1, c4t3);
       c4t1.setAdyacentes(Adyacentesc4t1); 
       //Brasil 1 3 4 5
       ArrayList<Territorio> Adyacentesc4t2 = new ArrayList(4);
       Adyacentesc4t2.add(0, c4t1);
       Adyacentesc4t2.add(1, c4t3);
       Adyacentesc4t2.add(2, c4t4);
       Adyacentesc4t2.add(3, c2t5);
       c4t2.setAdyacentes(Adyacentesc4t2);
       //Peru 1 2 4
       ArrayList<Territorio> Adyacentesc4t3 = new ArrayList(3);
       Adyacentesc4t3.add(0, c4t1);
       Adyacentesc4t3.add(1, c4t2);
       Adyacentesc4t3.add(2, c4t4);
       c4t3.setAdyacentes(Adyacentesc4t3);
       //Venezuela 2 3 3
       ArrayList<Territorio> Adyacentesc4t4 = new ArrayList(3);
       Adyacentesc4t4.add(0, c4t2);
       Adyacentesc4t4.add(1, c4t3);
       Adyacentesc4t4.add(2, c5t3);
       c4t4.setAdyacentes(Adyacentesc4t4);

       /*FIN AMERICA DEL SUR*/
       /*TODO AMERICA DEL NORTE*/
       //Alaska 2 6 6
       ArrayList<Territorio> Adyacentesc5t1 = new ArrayList(3);
       Adyacentesc5t1.add(0, c5t2);
       Adyacentesc5t1.add(1, c5t6);
       Adyacentesc5t1.add(2, c3t6);
       c5t1.setAdyacentes(Adyacentesc5t1);
       //Alberta 1 6 7 9
       ArrayList<Territorio> Adyacentesc5t2 = new ArrayList(4);
       Adyacentesc5t2.add(0, c5t1);
       Adyacentesc5t2.add(1, c5t6);
       Adyacentesc5t2.add(2, c5t7);
       Adyacentesc5t2.add(3, c5t9);
       c5t2.setAdyacentes(Adyacentesc5t2);
       //America Central 4 9 4
       ArrayList<Territorio> Adyacentesc5t3 = new ArrayList(3);
       Adyacentesc5t3.add(0, c5t4);
       Adyacentesc5t3.add(1, c5t9);
       Adyacentesc5t3.add(2, c4t4);
       c5t3.setAdyacentes(Adyacentesc5t3);       
       //Estados Unidos del Este 3 7 8 9 
       ArrayList<Territorio> Adyacentesc5t4 = new ArrayList(4);
       Adyacentesc5t4.add(0, c5t3);
       Adyacentesc5t4.add(1, c5t7);
       Adyacentesc5t4.add(2, c5t8);
       Adyacentesc5t4.add(3, c5t9);
       c5t4.setAdyacentes(Adyacentesc5t4);
       //Groenlandia 6 7 8 2
       ArrayList<Territorio> Adyacentesc5t5 = new ArrayList(4);
       Adyacentesc5t5.add(0, c5t6);
       Adyacentesc5t5.add(1, c5t7);
       Adyacentesc5t5.add(2, c5t8);
       Adyacentesc5t5.add(3, c1t2);
       c5t5.setAdyacentes(Adyacentesc5t5);
       //Territorios del Noroeste 1 2 5 7
       ArrayList<Territorio> Adyacentesc5t6 = new ArrayList(4);
       Adyacentesc5t6.add(0, c5t1);
       Adyacentesc5t6.add(1, c5t2);
       Adyacentesc5t6.add(2, c5t5);
       Adyacentesc5t6.add(3, c5t7);
       c5t6.setAdyacentes(Adyacentesc5t6);
       //Ontario 2 4 5 6 8
       ArrayList<Territorio> Adyacentesc5t7 = new ArrayList(5);
       Adyacentesc5t7.add(0, c5t2);
       Adyacentesc5t7.add(1, c5t4);
       Adyacentesc5t7.add(2, c5t5);
       Adyacentesc5t7.add(3, c5t6);
       Adyacentesc5t7.add(4, c5t8);
       c5t7.setAdyacentes(Adyacentesc5t7);
       //Quebec 4 5 7
       ArrayList<Territorio> Adyacentesc5t8 = new ArrayList(3);
       Adyacentesc5t8.add(0, c5t4);
       Adyacentesc5t8.add(1, c5t5);
       Adyacentesc5t8.add(2, c5t7);
       c5t8.setAdyacentes(Adyacentesc5t8);  
       //Estados Unidos del Oeste 2 3 4 7
       ArrayList<Territorio> Adyacentesc5t9 = new ArrayList(4);
       Adyacentesc5t9.add(0, c5t2);
       Adyacentesc5t9.add(1, c5t3);
       Adyacentesc5t9.add(2, c5t4);
       Adyacentesc5t9.add(3, c5t7);
       c5t7.setAdyacentes(Adyacentesc5t9);
       /*FIN DE AMERICA DEL NORTE*/
       /*TODO OCEANIA*/
       //Australia Oriental 3 4 
       ArrayList<Territorio> Adyacentesc6t1 = new ArrayList(2);
       Adyacentesc6t1.add(0, c6t3);
       Adyacentesc6t1.add(1, c6t4);
       c6t1.setAdyacentes(Adyacentesc6t1);
       //Indonesia 3 4 9
       ArrayList<Territorio> Adyacentesc6t2 = new ArrayList(3);
       Adyacentesc6t2.add(0, c6t3);
       Adyacentesc6t2.add(1, c6t4);
       Adyacentesc6t2.add(2, c3t9);
       c6t2.setAdyacentes(Adyacentesc6t2);
       //Nueva Guinea 1 2 4
       ArrayList<Territorio> Adyacentesc6t3 = new ArrayList(3);
       Adyacentesc6t3.add(0, c6t1);
       Adyacentesc6t3.add(1, c6t2);
       Adyacentesc6t3.add(2, c6t4);
       c6t3.setAdyacentes(Adyacentesc6t3);
       //Australia Occidental 1 2 3
       ArrayList<Territorio> Adyacentesc6t4 = new ArrayList(3);
       Adyacentesc6t4.add(0, c6t1);
       Adyacentesc6t4.add(1, c6t2);
       Adyacentesc6t4.add(2, c6t3);
       c6t4.setAdyacentes(Adyacentesc6t4);       

       
       /*FIN DE OCEANIA*/
       
       
       /* PROCEDEMOS A INSERTAR TODOS LOS CONTINENTES Y TERRITORIOS CON SUS CONTIGUOS */
       
       /* EUROPA */
       ArrayList<Territorio> TerritoriosContinente1 = new ArrayList(7);
       TerritoriosContinente1.add(0,c1t1);
       TerritoriosContinente1.add(1,c1t2);
       TerritoriosContinente1.add(2,c1t3);
       TerritoriosContinente1.add(3,c1t4);
       TerritoriosContinente1.add(4,c1t5);
       TerritoriosContinente1.add(5,c1t6);
       TerritoriosContinente1.add(6,c1t7);
       ListaContinentes.get(0).setTerritorio(TerritoriosContinente1);
       
       /* AFRICA */
       ArrayList<Territorio> TerritoriosContinente2 = new ArrayList(6);
       TerritoriosContinente2.add(0,c2t1);
       TerritoriosContinente2.add(1,c2t2);
       TerritoriosContinente2.add(2,c2t3);
       TerritoriosContinente2.add(3,c2t4);
       TerritoriosContinente2.add(4,c2t5);
       TerritoriosContinente2.add(5,c2t6);
       ListaContinentes.get(1).setTerritorio(TerritoriosContinente2);
       
       /* ASIA */
       ArrayList<Territorio> TerritoriosContinente3 = new ArrayList(12);
       TerritoriosContinente3.add(0,c3t1);
       TerritoriosContinente3.add(1,c3t2);
       TerritoriosContinente3.add(2,c3t3);
       TerritoriosContinente3.add(3,c3t4);
       TerritoriosContinente3.add(4,c3t5);
       TerritoriosContinente3.add(5,c3t6);
       TerritoriosContinente3.add(6,c3t7);
       TerritoriosContinente3.add(7,c3t8);
       TerritoriosContinente3.add(8,c3t9);
       TerritoriosContinente3.add(9,c3t10);
       TerritoriosContinente3.add(10,c3t11);
       TerritoriosContinente3.add(11,c3t12);
       ListaContinentes.get(2).setTerritorio(TerritoriosContinente3);
       
       /* AMERICA DEL SUR */
       ArrayList<Territorio> TerritoriosContinente4 = new ArrayList(4);
       TerritoriosContinente4.add(0,c4t1);
       TerritoriosContinente4.add(1,c4t2);
       TerritoriosContinente4.add(2,c4t3);
       TerritoriosContinente4.add(3,c4t4);
       ListaContinentes.get(3).setTerritorio(TerritoriosContinente4);
       
       /* AMERICA DEL NORTE */
       ArrayList<Territorio> TerritoriosContinente5 = new ArrayList(9);
       TerritoriosContinente5.add(0,c5t1);
       TerritoriosContinente5.add(1,c5t2);
       TerritoriosContinente5.add(2,c5t3);
       TerritoriosContinente5.add(3,c5t4);
       TerritoriosContinente5.add(4,c5t5);
       TerritoriosContinente5.add(5,c5t6);
       TerritoriosContinente5.add(6,c5t7);
       TerritoriosContinente5.add(7,c5t8);
       TerritoriosContinente5.add(8,c5t9);
       ListaContinentes.get(4).setTerritorio(TerritoriosContinente5);
       
       /* OCEANIA */
       ArrayList<Territorio> TerritoriosContinente6 = new ArrayList(4);
       TerritoriosContinente6.add(0,c6t1);
       TerritoriosContinente6.add(1,c6t2);
       TerritoriosContinente6.add(2,c6t3);
       TerritoriosContinente6.add(3,c6t4);
       ListaContinentes.get(5).setTerritorio(TerritoriosContinente6);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.523656E1-F71F-71B8-667A-A08106A8E937]
    // </editor-fold> 
    public ArrayList<Continente> getContinente () {
        return ListaContinentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.84A60D2C-5216-DC23-B5F7-CE1420C92CD6]
    // </editor-fold> 
    public void setContinente (ArrayList<Continente> val) {
    //rellenamos el array de continentes con los nombres
    ListaContinentes = val;
    }

}

